Bug 104931 - mod_perl fails against new perl 5.6.1 rpms
Summary: mod_perl fails against new perl 5.6.1 rpms
Status: CLOSED DUPLICATE of bug 104875
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_perl   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Gary Benson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-23 17:32 UTC by Jeff Minelli
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:58:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Minelli 2003-09-23 17:32:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
mod_perl needs to be recompiled to work with RHSA-2003:256-01.

mod_perl is expecting strict.pm from 5.6.0, but it doesn't exist because  the
new perl RPMs are 5.6.1.

Version-Release number of selected component (if applicable):
mod_perl-1.24_01-2

How reproducible:
Always

Steps to Reproduce:
1. install the newest perl rpms
2. try to do something with mod_perl in apache.
3.
    

Actual Results:  #/etc/init.d/httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: [Tue Sep 23 11:37:30 2003] [error] Can't locate strict.pm in
@INC (@INC contains: /usr/lib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl . /etc/httpd/ /etc/httpd/lib/perl) at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm line 3.!BEGIN
failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm line 3.!Compilation failed
in require at (eval 1) line 3.!
              

Expected Results:  httpd should start up and run normally.

Additional info: Rebuild mod_perl from SRPM and problem disappears.

Comment 1 David Lawrence 2003-09-23 17:34:58 UTC

*** This bug has been marked as a duplicate of 104875 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:58:41 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.